Loading...
Searching...
No Matches
CLI::detail::is_readable_container< T, conditional_t< false, void_t< decltype(std::declval< T >().end()), decltype(std::declval< T >().begin())>, void > > Struct Template Reference

`#include <TypeTools.hpp>`

Inheritance diagram for CLI::detail::is_readable_container< T, conditional_t< false, void_t< decltype(std::declval< T >().end()), decltype(std::declval< T >().begin())>, void > >:

## Detailed Description

template<typename T>
struct CLI::detail::is_readable_container< T, conditional_t< false, void_t< decltype(std::declval< T >().end()), decltype(std::declval< T >().begin())>, void > >

type trait to test if a type is a container meaning it has a value_type, it has an iterator, and an end method.

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp